## cpl 7.2.2+ds

=== debian/changelog ===
cpl (7.2.2+ds-1) unstable; urgency=medium

  * New upstream version 7.2.2+ds
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed.
  * Add new symbols to symbol table

 -- Ole Streicher <olebole@debian.org>  Wed, 11 May 2022 21:08:33 +0200
