=== debian/control ===
Source: cpl
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: automake,
               debhelper-compat (= 13),
               doxygen,
               libcfitsio-dev,
               libfftw3-dev,
               libltdl-dev,
               texlive-fonts-recommended,
               wcslib-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/cpl
Vcs-Git: https://salsa.debian.org/debian-astro-team/cpl.git
Homepage: https://www.eso.org/sci/software/cpl/
Rules-Requires-Root: no

Package: libcpl-dev
Architecture: any
Section: libdevel
Depends: libcext-dev,
         libcfitsio-dev,
         libcplcore26 (= ${binary:Version}),
         libcpldfs26 (= ${binary:Version}),
         libcpldrs26 (= ${binary:Version}),
         libcplui26 (= ${binary:Version}),
         wcslib-dev,
         ${misc:Depends}
Suggests: libcpl-doc
Description: ESO library for automated astronomical data-reduction
 The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
 provide a comprehensive, efficient and robust software toolkit. It forms a
 basis for the creation of automated astronomical data-reduction tasks (known
 as "pipelines").
 .
 The CPL was developed to standardise the way instrument pipelines
 are built, to shorten their development cycle and to ease their
 maintenance. However, it may be more generally applied to any similar
 application, and the details of the CPL code have been engineered in
 a way to make the library portable and flexible, as well as
 minimising external dependencies.
 .
 The CPL provides a host of functionality, presented in a clear,
 generic and uniform manner. Among its many features, the CPL offers:
 .
  * many useful low-level data types (images, tables, matrices, strings,
    property lists, ...),
  * many fundamental statistic, arithmetic and conversion operations for
    these data types.
  * medium-level data access methods (e.g. a data abstraction layer for
    FITS files),
  * data table organisation and manipulation,
  * keyword/value handling and management,
  * a standardised application interface for pipeline recipes, and,
  * support for dynamic loading of recipe modules.
 .
 Despite the current bias towards instrument pipeline development, the
 library also provides a variety of general-purpose image- and
 signal-processing functions, making it an excellent framework for the
 creation of more generic data-handling packages.
 .
 This package contains the static library and the C header files.

Package: libcpl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: API documentation for the Common Pipeline Library
 The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
 provide a comprehensive, efficient and robust software toolkit. It forms a
 basis for the creation of automated astronomical data-reduction tasks (known
 as "pipelines").
 .
 This package contains the API documentation for libcpl.

Package: libcplcore26
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Fundamental CPL data types and functions
 The CPLCORE library provides the fundamental CPL data types (such as cpl
 image, cpl table, cpl vector, cpl matrix etc.), the operations defined on
 these data types, and elementary utility functions. There should not be any
 physical units associated with any of the data types or functions of that
 library.
 .
 The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
 provide a comprehensive, efficient and robust software toolkit. It forms a
 basis for the creation of automated astronomical data-reduction tasks (known
 as "pipelines").

Package: libcpldfs26
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: CPL functions for Data Flow System compatibility
 The functions of this library ensure the compliance of pipeline
 products with the Data Flow System (DFS) of the European Southern
 Observatory (ESO).
 .
 The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
 provide a comprehensive, efficient and robust software toolkit. It forms a
 basis for the creation of automated astronomical data-reduction tasks (known
 as "pipelines").

Package: libcpldrs26
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: CPL higher level data processing algorithms
 The CPLDRS (DRS for Data Reduction System) implements higher level data
 processing algorithms (such as wavelength calibration, image recombination,
 dark-frame correction and so on).
 .
 The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
 provide a comprehensive, efficient and robust software toolkit. It forms a
 basis for the creation of automated astronomical data-reduction tasks (known
 as "pipelines").

Package: libcplui26
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: CPL framework interface library
 The CPLUI (UI for User Interface) provides services defining the standard
 interface for recipes and provides more complex data reduction related
 utilities and services. In particular, it contains the necessary types to
 handle the plugin interface, the parameters used to handle command-line
 options and the (set of) frames used to store the input list of files.
 .
 The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
 provide a comprehensive, efficient and robust software toolkit. It forms a
 basis for the creation of automated astronomical data-reduction tasks (known
 as "pipelines").

Package: libcext0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Commonly used utility functions for C programs
 This is a C utility library, which is used to implement ESO's Common Pipeline
 Library (CPL). The library contains a basic collections framework (maps,
 linked lists, queues), memory management, strings, logging and others.

Package: libcext-dev
Architecture: any
Section: libdevel
Depends: libcext0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libcpl-dev
Description: Commonly used utility functions for C programs (development files)
 This is a C utility library, which is used to implement ESO's Common Pipeline
 Library (CPL). The library contains a basic collections framework (maps,
 linked lists, queues), memory management, strings, logging and others.
 .
 The package contains the static library and the C header files.

Package: libcext-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: API documentation for ESO's C utility library libcext
 The libcext is a C utility library, which is used to implement ESO's Common
 Pipeline Library (CPL). The library contains a basic collections framework
 (maps, linked lists, queues), memory management, strings, logging and others.
 .
 The package contains the API documentation for libcpl.
