## cpl 7.2.3+ds

=== debian/changelog ===
cpl (7.2.3+ds-1build1) lunar; urgency=medium

  * No-change rebuild against libcfitsio10

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 05:14:01 +0000

cpl (7.2.3+ds-1) unstable; urgency=medium

  * New upstream version 7.2.3+ds
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Dec 2022 14:30:50 +0100
