## cpl 7.3.2%2Bds

=== debian/changelog ===
cpl (7.3.2+ds-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:49:12 +0000

cpl (7.3.2+ds-1build2) noble; urgency=high

  * No change rebuild against libcfitsio10t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:36:57 +0100

cpl (7.3.2+ds-1build1) mantic; urgency=medium

  * No-change rebuild against libwcs8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 08 Jul 2023 04:11:08 +0000

cpl (7.3.2+ds-1) unstable; urgency=medium

  * New upstream version 7.3.2+ds
  * Rediff patches
  * Add new symbols for libcpldfs and libcplcore

 -- Ole Streicher <olebole@debian.org>  Sat, 01 Jul 2023 13:18:41 +0200
