## cpl 7.3.2+ds

=== debian/changelog ===
cpl (7.3.2+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 03 Feb 2025 19:51:20 +0100
