=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libltdl-dev,
                texlive-fonts-recommended,
                wcslib-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cpl
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cpl.git
 Homepage: https://www.eso.org/sci/software/cpl/
